Package org.eclipse.m2m.atl.debug.core.adwp

# Class ADWPCommand

java.lang.Object
org.eclipse.m2m.atl.debug.core.adwp.ADWPCommand

public class ADWPCommand extends Object
A command part of the ADWP protocol.

## Constructor Summary

Constructors
Constructor
Description
`ADWPCommand(int code, int ack, List<Value> args)`
Creates a new command.

## Method Summary

Modifier and Type
Method
Description
`int`
`getAck()`
`List<Value>`
`getArgs()`
`int`
`getCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ADWPCommand

public ADWPCommand(int code, int ack, List<Value> args)
Creates a new command.

Parameters:
  `code` - the command code
  `ack` - the command ack
  `args` - the `Value` arguments of the command

## Method Details

### getCode

public int getCode()

### getAck

public int getAck()

### getArgs

public List<Value> getArgs()

### toString

public String toString()

Overrides:
  `toString` in class `Object`
See Also:
  - `Object.toString()`